> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engrate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bidding Zones

> List & filter bidding zones.

If you specify multiple values for some filter parameter they are OR-ed. If you specify multiple separate filters they are "AND"-ed.



## OpenAPI

````yaml /openapi.json get /core/v1/bidding-zones
openapi: 3.1.0
info:
  title: Engrate API
  version: 1.0.0
servers:
  - url: https://api.engrate.io
security:
  - apiKeyAuth: []
paths:
  /core/v1/bidding-zones:
    get:
      summary: List Bidding Zones
      description: >-
        List & filter bidding zones.


        If you specify multiple values for some filter parameter they are OR-ed.
        If you specify multiple separate filters they are "AND"-ed.
      operationId: list_bidding_zones_core_v1_bidding_zones_get
      parameters:
        - description: Filter by EIC code(s)
          in: query
          name: id
          required: false
          schema:
            default: []
            description: Filter by EIC code(s)
            items:
              type: string
            title: Id
            type: array
        - description: Filter by name or short name using substring matching
          in: query
          name: name
          required: false
          schema:
            default: []
            description: Filter by name or short name using substring matching
            items:
              type: string
            title: Name
            type: array
        - description: Filter by ISO 3166-1 alpha-2 country codes
          in: query
          name: country
          required: false
          schema:
            default: []
            description: Filter by ISO 3166-1 alpha-2 country codes
            examples:
              - SE
            items:
              type: string
            title: Country
            type: array
      responses:
        '200':
          content:
            application/json:
              example:
                bidding_zones:
                  - countries:
                      - SE
                    id: 10Y1001A1001A46L
                    name: Swedish Elspot Area 3
                    short_name: SE3
              schema:
                $ref: '#/components/schemas/GetBiddingZonesResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetBiddingZonesResponse:
      properties:
        bidding_zones:
          items:
            $ref: '#/components/schemas/BiddingZone'
          title: Bidding Zones
          type: array
      required:
        - bidding_zones
      title: GetBiddingZonesResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    BiddingZone:
      description: >-
        A Bidding Zone (also called a price area) is a core domain concept in
        the European energy market.


        The [ENTSO-e Harmonized Electricity Market Role
        Model](https://www.entsoe.eu/data/cim/role-models/) defines a Bidding
        Zone as:


        > The largest geographical area within which market participants are
        able to exchange energy without capacity allocation.


        In other words, it is an area within which electricity clears at a
        single day-ahead price; in the Nordics these are the Nord Pool price
        areas such as SE3 and NO1.
      example:
        countries:
          - SE
        id: 10Y1001A1001A46L
        name: Swedish Elspot Area 3
        short_name: SE3
      properties:
        countries:
          description: ISO 3166-1 alpha-2 country codes this bidding zone covers
          items:
            type: string
          title: Countries
          type: array
        id:
          description: EIC code identifying this bidding zone
          title: Id
          type: string
        name:
          description: Full official name of the bidding zone
          title: Name
          type: string
        short_name:
          description: Short display name for the bidding zone
          title: Short Name
          type: string
      required:
        - countries
        - id
        - name
        - short_name
      title: BiddingZone
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````